=== modified file 'maas-integration.py'
--- maas-integration.py	2013-09-17 09:16:09 +0000
+++ maas-integration.py	2013-09-19 15:00:53 +0000
@@ -43,6 +43,11 @@
 
 USE_ARM_NODES = not DO_NOT_USE_ARM_NODES
 
+# We cannot use the ARM nodes with juju-core because of
+# bug 1227722.
+if is_juju_core():
+    USE_ARM_NODES=False
+
 # Whether or not the juju tests should be performed.
 DO_NOT_TEST_JUJU = bool(
     os.environ.get('DO_NOT_TEST_JUJU', False))
@@ -637,8 +642,7 @@
         self._run_juju_command(["deploy", "mysql"])
         # Deploy mediawiki.
         constraints = []
-        # Not using nodes on saucy due to bug #1166994.
-        if USE_ARM_NODES and not is_precise() and not is_saucy():
+        if USE_ARM_NODES:
             constraints.append("arch=arm")
         if not is_juju_core():
             constraints.append("maas-tags=all")

